Bug 738398 (CVE-2011-3326) - CVE-2011-3326 Quagga (ospfd): Denial of service by decoding Link State Update LSAs of unknown type
Summary: CVE-2011-3326 Quagga (ospfd): Denial of service by decoding Link State Update...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3326
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110926,reported=2...
Depends On: 741343 845163 845526 845528 845529
Blocks: 738408
TreeView+ depends on / blocked
 
Reported: 2011-09-14 17:36 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:54 UTC (History)
3 users (show)

Fixed In Version: quagga 0.99.19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-13 16:45:20 UTC


Attachments (Terms of Use)
Upstream CVE-2011-3326 patch for Quagga-master branch (1.22 KB, patch)
2011-09-14 17:40 UTC, Jan Lieskovsky
no flags Details | Diff
Improved upstream patch (2.28 KB, patch)
2012-08-08 14:35 UTC, Adam Tkac
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1258 normal SHIPPED_LIVE Moderate: quagga security update 2012-09-13 00:02:35 UTC
Red Hat Product Errata RHSA-2012:1259 normal SHIPPED_LIVE Moderate: quagga security update 2012-09-13 00:00:43 UTC

Description Jan Lieskovsky 2011-09-14 17:36:36 UTC
A denial of service flaw was found in the way ospfd daemon of the Quagga routing suite processed Link State Update Link-State-Advertisements (LSAs) of type, which was not known to Quagga. A configured OSPF peer could use this flaw to cause the master OSPF daemon (ospfd) to crash.

Comment 1 Jan Lieskovsky 2011-09-14 17:38:20 UTC
This issue affects the versions of the quagga package, as shipped with Red Hat
Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the quagga package, as shipped with Fedora
release of 14 and 15.

Comment 3 Jan Lieskovsky 2011-09-14 17:40:51 UTC
Created attachment 523213 [details]
Upstream CVE-2011-3326 patch for Quagga-master branch

Comment 5 Jan Lieskovsky 2011-09-26 16:01:17 UTC
Public now via:
[1] https://www.cert.fi/en/reports/2011/vulnerability539178.html

Comment 6 Jan Lieskovsky 2011-09-26 16:07:39 UTC
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 741343]

Comment 7 Fedora Update System 2011-10-18 22:15:59 UTC
quagga-0.99.20-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-18 22:20:12 UTC
quagga-0.99.20-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-19 04:39:56 UTC
quagga-0.99.20-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Adam Tkac 2012-08-08 14:35:37 UTC
Created attachment 603051 [details]
Improved upstream patch

Comment 14 errata-xmlrpc 2012-09-12 20:05:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1259 https://rhn.redhat.com/errata/RHSA-2012-1259.html

Comment 15 errata-xmlrpc 2012-09-12 20:06:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1258 https://rhn.redhat.com/errata/RHSA-2012-1258.html

Comment 16 Murray McAllister 2012-09-13 02:53:08 UTC
Acknowledgements:

Red Hat would like to thank CERT-FI for reporting this issue. CERT-FI acknowledges Riku Hietamäki, Tuomo Untinen and Jukka Taimisto of the Codenomicon CROSS project as the original reporters.


Note You need to log in before you can comment on or make changes to this bug.